#!/bin/bash

GLOBUS_LOCATION=${GLOBUS_LOCATION:-/opt/globus}
if [ ! -d "$GLOBUS_LOCATION" ]; then
echo "$GLOBUS_LOCATION is not a directory" >&2
exit 1
fi
SHEADN=`grep -m 1 -n '^# Prototypes' $GLOBUS_LOCATION/libexec/globus-gass-cache-util.pl|cut -f 1 -d :`
MHEADN=`grep -m 1 -n '^# Invoke "main"' $GLOBUS_LOCATION/libexec/globus-gass-cache-util.pl|cut -f 1 -d :`
EHEADN=`grep -m 1 -n '^# "Main" logic' $GLOBUS_LOCATION/libexec/globus-gass-cache-util.pl|cut -f 1 -d :`
TOTALN=`wc -l $GLOBUS_LOCATION/libexec/globus-gass-cache-util.pl|cut -f 1 -d ' '`
cat - >$GLOBUS_LOCATION/lib/perl/Globus/Core/CacheUtil.pm <<EOF
use Globus::Core::Paths;
package Globus::Core::CacheUtil;
require Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(&main);

EOF
head -n $((MHEADN-1)) $GLOBUS_LOCATION/libexec/globus-gass-cache-util.pl | tail -n $((MHEADN-SHEADN)) >> $GLOBUS_LOCATION/lib/perl/Globus/Core/CacheUtil.pm
tail -n $((TOTALN-EHEADN+1)) $GLOBUS_LOCATION/libexec/globus-gass-cache-util.pl >> $GLOBUS_LOCATION/lib/perl/Globus/Core/CacheUtil.pm
echo "1;" >> $GLOBUS_LOCATION/lib/perl/Globus/Core/CacheUtil.pm
